Subject: [netconf] 转发: RE: WGLC: draft-ietf-netconf-notification-capabilities-11

From: "taoran (F)" <[email-masked]>
Date: Mon, 9 Mar 2020 03:19:21 +0000

FYI

-----邮件原件-----
发件人: taoran (F) 
发送时间: 2020年3月9日 9:42
收件人: 'Balázs Lengyel' <[email-masked]>
主题: RE: [netconf] RE: WGLC: draft-ietf-netconf-notification-capabilities-11

Hi, Balazes: 

-----邮件原件-----
发件人: Balázs Lengyel [mailto:[email-masked]] 
发送时间: 2020年3月7日 0:26
收件人: taoran (F) <[email-masked]>; Kent Watsen <[email-masked]>; [email-masked]
主题: RE: [netconf] 答复: WGLC: draft-ietf-netconf-notification-capabilities-11

-----Original Message-----
From: netconf <[email-masked]> On Behalf Of taoran (F)
Sent: 2020. március 6., péntek 9:27
To: Kent Watsen <[email-masked]>; [email-masked]
Subject: [netconf] 答复: WGLC: draft-ietf-netconf-notification-capabilities-11

Hi, all,

I have two comments on this draft as follows:

1. Section 5.1 said:
“
   augment /sysc:system-capabilities/sysc:datastore-capabilities/ +
     |                                 sysc:per-node-capabilities:
     +--ro subscription-capabilities
        +--ro (update-period)?
        |  +--:(minimum-update-period)
        |  |  +--ro minimum-update-period?        uint32
        |  +--:(supported-update-period)
        |     +--ro supported-update-period*      uint32
        +--ro max-nodes-per-update?               uint32
        +--ro minimum-dampening-period?           uint32 {yp:on-change}?
        +--ro on-change-supported?                notification-support
        |                                                {yp:on-change}?
        +--ro periodic-notifications-supported?   notification-support
        +--ro supported-excluded-change-type*     union {yp:on-change}?
”
I believe on-change-supported and supported-excluded-change-type are related to each other, i.e., only when on-change-supported holds, Support-excluded-change-type needs to be supported. Would it make sense to add when statement under supported-excluded-change-type.
One Follow up comment is should supported-excluded-change-type be applicable to config true node or config false node?

BALAZS: OK, I will do it in the after the WGLC.
[Ran]: Thanks.
2. Section 5.2 said:
“
       leaf-list supported-excluded-change-type {
         if-feature yp:on-change;
         type union {
           type enumeration {
             enum none {
               value -2 ;
               description "None of the change types can be excluded.";
             }
             enum all {
               value -1 ;
               description
                 "Any combination of change types can be excluded.";
             }
           }
           type yp:change-type;
         }
         description "The change types that can be excluded in
           YANG-Push subscriptions.";
       }
”
It is not clear to me when should assign negative number to enum value, does it indicate it is an error or warning? If it is not, I prefer to assign positive number to enum value.

BALAZS: The value statement allows the range -2147483648 to 2147483647. 
I chose negative numbers because yp:change-type is itself an enum 
with autonumbering.  Autonumbering will start from 0 and go up.
 So a negative number will never clash with it, a small positive number could.
[Ran]: Thanks for your clarification, it makes sense to me now.
Ran